Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Groovy] Class CompileOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.CompileOptions

    class CompileOptions
    extends AbstractOptions

Authors:
  Hans Dockter

Property Summary
`java.lang.String` | `bootClasspath`
`java.lang.String` | `compiler`
`java.util.List` | `compilerArgs`
`boolean` | `debug`
`DebugOptions` | `debugOptions`
`DependOptions` | `dependOptions`
`boolean` | `deprecation`
`java.lang.String` | `encoding`
`java.lang.String` | `extensionDirs`
`boolean` | `failOnError`
`boolean` | `fork`
`ForkOptions` | `forkOptions`
`boolean` | `includeJavaRuntime`
`boolean` | `listFiles`
`boolean` | `optimize`
`boolean` | `useDepend`
`boolean` | `verbose`
`boolean` | `warnings`

Method Summary
`CompileOptions` | `debug(java.util.Map debugArgs)`
`CompileOptions` | `depend(java.util.Map dependArgs)` Set the dependency options from a map.
`java.util.List` | `excludedFieldsFromOptionMap()`
`java.util.Map` | `fieldName2AntMap()`
`java.util.Map` | `fieldValue2AntMap()`
`CompileOptions` | `fork(java.util.Map forkArgs)`
`java.util.Map` | `optionMap()`

Methods inherited from class AbstractOptions
addValueToMapIfNotNull, define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, isOptionField, optionMap

Property Detail

### bootClasspath

    @Input
    @Optional
    java.lang.String bootClasspath

### compiler

    @Input
    @Optional
    java.lang.String compiler

### compilerArgs

    @Input
    java.util.List compilerArgs

### debug

    @Input
    boolean debug

### debugOptions

    @Nested
    DebugOptions debugOptions

### dependOptions

    DependOptions dependOptions

### deprecation

    boolean deprecation

### encoding

    @Input
    @Optional
    java.lang.String encoding

### extensionDirs

    @Input
    @Optional
    java.lang.String extensionDirs

### failOnError

    @Input
    boolean failOnError

### fork

    boolean fork

### forkOptions

    @Nested
    ForkOptions forkOptions

### includeJavaRuntime

    @Input
    boolean includeJavaRuntime

### listFiles

    boolean listFiles

### optimize

    @Input
    boolean optimize

### useDepend

    boolean useDepend

### verbose

    boolean verbose

### warnings

    boolean warnings

Method Detail

### debug

    CompileOptions debug(java.util.Map debugArgs)

### depend

    CompileOptions depend(java.util.Map dependArgs)

  Set the dependency options from a map. See DependOptions for a list of valid properties. Calling this method will enable use of the depend task during a compile.

### excludedFieldsFromOptionMap

    java.util.List excludedFieldsFromOptionMap()

### fieldName2AntMap

    java.util.Map fieldName2AntMap()

### fieldValue2AntMap

    java.util.Map fieldValue2AntMap()

### fork

    CompileOptions fork(java.util.Map forkArgs)

### optionMap

    java.util.Map optionMap()

Groovy Documentation